#!/bin/bash
if [ -z $1 -o -z $2 ]
then
        echo "Usage: vzploopbackup.sh CTID BACKUP-PATH"
        exit 1
fi

CTID=$1
FOLDER=$2
BACKUPPATH=$FOLDER/$CTID/

#create BACKUP-PATH
mkdir -p $BACKUPPATH

# Known snapshot ID
ID=$(uuidgen)
VE_PRIVATE=$(vzlist -H -o private $CTID)
#UUID=$(prlctl list -H -o uuid $CTID |cut -d \{ -f2|cut -d \} -f1)
#echo "UUID: $UUID"

# Take a snapshot without suspending a CT and saving its config
vzctl snapshot $CTID --id $ID --skip-suspend

# Perform a backup using your favorite backup tool
# (cp is just an example)
cp $VE_PRIVATE/root.hdd/* $BACKUPPATH/
cp $VE_PRIVATE/ve.conf  $BACKUPPATH/

# Delete (merge) the snapshot
vzctl snapshot-delete $CTID --id $ID

echo "BACKUP FINISHED."